Ticket #77 (closed defect: fixed)

Opened 6 years ago

Last modified 5 years ago

long outputs on console crash noit

Reported by: jesus Assigned to: jesus
Priority: major Milestone: Wangle
Component: noitd Severity:
Keywords: Cc:

Description

Some issue with the terminal emulation in the console driver. With a large set of checks:

; telnet localhost 32322
noitd: (no auth)
noit# show checks
... lots of output ...
 --- wedges ---

followed by a segfault in noitd.

Change History

01/31/09 00:30:17 changed by jesus

  • milestone set to Wangle.

03/13/09 17:14:33 changed by jesus

  • status changed from new to closed.
  • resolution set to worksforme.

This appears to have been resolved. After tickets #37 and #105, I cannot repeat the problem.

03/16/09 21:24:59 changed by jesus

  • status changed from closed to reopened.
  • resolution deleted.

No segfault, repeated on openbsd... turns out it happens when there is already a \r\n.

03/16/09 21:38:02 changed by jesus

  • status changed from reopened to closed.
  • resolution set to fixed.

(In [624]) fixes #77